<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:36 CEST 2019 -->
<title>XSQLVAR (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSQLVAR (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/XSQLVAR.html" target="_top">Frames</a></li>
<li><a href="XSQLVAR.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jna.fbclient</div>
<h2 title="Class XSQLVAR" class="title">Class XSQLVAR</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.sun.jna.Structure</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jna.fbclient.XSQLVAR</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByReference</a>, <a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByValue.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByValue</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">XSQLVAR</span>
extends com.sun.jna.Structure</pre>
<div class="block">JNA wrapper for XSQLVAR.
 <p>
 This file was initially autogenerated by <a href="http://jnaerator.googlecode.com/">JNAerator</a>, a tool written by <a href="http://ochafik.com/">Olivier Chafik</a> that <a href="http://code.google.com/p/jnaerator/wiki/CreditsAndLicense">uses a few opensource projects.</a>.
 </p>
 <p>
 This file was modified manually, <strong>do not automatically regenerate!</strong>
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByReference</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByValue.html" title="class in org.firebirdsql.jna.fbclient">XSQLVAR.ByValue</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sun.jna.Structure">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.sun.jna.Structure</h3>
<code>com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#aliasname">aliasname</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#aliasname_length">aliasname_length</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#ownname">ownname</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#ownname_length">ownname_length</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#relname">relname</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#relname_length">relname_length</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.sun.jna.Pointer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqldata">sqldata</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.sun.jna.ptr.ShortByReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqlind">sqlind</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#SQLIND_NOT_NULL">SQLIND_NOT_NULL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#SQLIND_NULL">SQLIND_NULL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqllen">sqllen</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqlname">sqlname</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqlname_length">sqlname_length</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqlscale">sqlscale</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqlsubtype">sqlsubtype</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#sqltype">sqltype</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sun.jna.Structure">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sun.jna.Structure</h3>
<code>ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#XSQLVAR--">XSQLVAR</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#getFieldOrder--">getFieldOrder</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>com.sun.jna.Memory</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.html#getSqlData--">getSqlData</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sun.jna.Structure">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sun.jna.Structure</h3>
<code>allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SQLIND_NULL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQLIND_NULL</h4>
<pre>public static final&nbsp;short SQLIND_NULL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jna.fbclient.XSQLVAR.SQLIND_NULL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQLIND_NOT_NULL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQLIND_NOT_NULL</h4>
<pre>public static final&nbsp;short SQLIND_NOT_NULL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.firebirdsql.jna.fbclient.XSQLVAR.SQLIND_NOT_NULL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="sqltype">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqltype</h4>
<pre>public&nbsp;short sqltype</pre>
</li>
</ul>
<a name="sqlscale">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlscale</h4>
<pre>public&nbsp;short sqlscale</pre>
</li>
</ul>
<a name="sqlsubtype">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlsubtype</h4>
<pre>public&nbsp;short sqlsubtype</pre>
</li>
</ul>
<a name="sqllen">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqllen</h4>
<pre>public&nbsp;short sqllen</pre>
</li>
</ul>
<a name="sqldata">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqldata</h4>
<pre>public&nbsp;com.sun.jna.Pointer sqldata</pre>
</li>
</ul>
<a name="sqlind">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlind</h4>
<pre>public&nbsp;com.sun.jna.ptr.ShortByReference sqlind</pre>
</li>
</ul>
<a name="sqlname_length">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlname_length</h4>
<pre>public&nbsp;short sqlname_length</pre>
</li>
</ul>
<a name="sqlname">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqlname</h4>
<pre>public&nbsp;byte[] sqlname</pre>
</li>
</ul>
<a name="relname_length">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>relname_length</h4>
<pre>public&nbsp;short relname_length</pre>
</li>
</ul>
<a name="relname">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>relname</h4>
<pre>public&nbsp;byte[] relname</pre>
</li>
</ul>
<a name="ownname_length">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownname_length</h4>
<pre>public&nbsp;short ownname_length</pre>
</li>
</ul>
<a name="ownname">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ownname</h4>
<pre>public&nbsp;byte[] ownname</pre>
</li>
</ul>
<a name="aliasname_length">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aliasname_length</h4>
<pre>public&nbsp;short aliasname_length</pre>
</li>
</ul>
<a name="aliasname">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>aliasname</h4>
<pre>public&nbsp;byte[] aliasname</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="XSQLVAR--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>XSQLVAR</h4>
<pre>public&nbsp;XSQLVAR()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFieldOrder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldOrder</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&nbsp;getFieldOrder()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getFieldOrder</code>&nbsp;in class&nbsp;<code>com.sun.jna.Structure</code></dd>
</dl>
</li>
</ul>
<a name="getSqlData--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSqlData</h4>
<pre>public&nbsp;com.sun.jna.Memory&nbsp;getSqlData()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/XSQLDA.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/XSQLVAR.ByReference.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/XSQLVAR.html" target="_top">Frames</a></li>
<li><a href="XSQLVAR.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
